Subject: Re: Re*: [PATCH/RFC] Change t0204-gettext-reencode-sanity.sh to pass under Mac OSX

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 11 Mar 2012 22:10:37 +0100

On 03/11/2012 08:22 PM, Junio C Hamano wrote:
> Torsten Bögershausen<[email-masked]>  writes:
>
>> Here the results of my investigations:
>> a) git-sh-i18n is used by the test suite, not git-sh-i18n.sh
>>     git-sh-i18n is generated from git-sh-i18n.sh when running make
>
> Yeah, that is the correct behaviour.
>
>> b) When running
>>     make clean&&  make USE_GETTEXT_SCHEME=gnu&&  (cd t&&  make)
>>    the log of t0204 looks like this:
>> ...
>> Summary: test OK,
>
> Now, the last remaining issues appear to be these:
>
>   * Is USE_GETTEXT_SCHEME=gnu the right thing for Mac OS X?  It may
>     make this test pass, but does it not break other things?  Does
>     Mac OS X come with a working gettext.sh to help i18n of shell
>     scripts?  Does it also give eval_gettext?
When I remember it right, the following comes from the Fink installation 
on my machine:
which gettext
/sw/bin/gettext

which gettext.sh
/sw/bin/gettext.sh

None of the machines here (Mac OS X, Ubuntu 10.04.4 LTS, OpenSuse 12.1)
has a eval_gettext

>   * If so, Mac OS X users shouldn't have to say that from the command
>     line of "make". Do we need a Makefile update?
Good question.
I couldn't find any setup of USE_GETTEXT_SCHEME in Makefile
(except when NO_GETTEXT is set), do I need to run configure?
So far the Makefile worked for all my systems here.

>
>   * If not, what is the appropriate value for USE_GETTEXT_SCHEME on=
>     Mac OS X?  If the answer is not "fallthrough", do we need a
>     Makefile update?
My guess is that "gettext_without_eval_gettext" would be right
(if we have Fink installed)

But again, what did I overlook in the Makefile?
Should there be some hard coded default for e.g. Darwin?
With a switch when Fink is installed?